/*
  httpd - usock sample program

  T. Nakagawa
  2010-04-10
*/

#include <string.h>
#include "usock.h"

int main(void) {
  int8_t sd;
  char *s;

  for (; ; ) {
    if ((sd = usock_open(USOCK_TCP, 80, 0, NULL)) < 0) continue;

    if (usock_recv(sd) == 0) {
      s = (char *)Usock_data;
      if (Usock_size > 4 && s[0] == 'G' && s[1] == 'E' && s[2] == 'T' && s[3] == ' ') {
        usock_alloc(sd);
        strcpy((char *)Usock_data, "HTTP/1.0 200 OK\r\nContent-Length: 66\r\n\r\n<html><title>sample page</title><body>hello, world</body></html>\r\n");
        Usock_size = strlen((char *)Usock_data);
        usock_send(sd);
      }
    }

    usock_close(sd);
  }

  return 0;
}
