/*
  http - usock sample program

  T. Nakagawa
  2010-04-11
*/

#include <stdio.h>
#include <string.h>
#include "usock.h"

static uint8_t daddr[] = {64, 170, 98, 32};	/* IP address of WWW server*/

int main(void) {
  int8_t sd;

  if ((sd = usock_open(USOCK_TCP, 0, 80, daddr)) < 0) return 1;

  usock_alloc(sd);
  strcpy((char *)Usock_data, "GET / HTTP/1.0\r\n\r\n");
  Usock_size = strlen((char *)Usock_data);
  if (usock_send(sd) == 0) return 1;

  do {
    fwrite(Usock_data, sizeof(uint8_t), Usock_size, stdout);
  } while (!usock_recv(sd) && Usock_size != 0);

  usock_close(sd);

  return 0;
}
